#
# spec file for package perl-IO-Pager
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Pager
Version:        0.39
Release:        lp152.3.2
%define cpan_name IO-Pager
Summary:        Select a pager and pipe text to it if destination is a TTY
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Pager/
Source0:        https://cpan.metacpan.org/authors/id/J/JP/JPIERCE/%{cpan_name}-%{version}.tgz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(File::Which)
%{perl_requires}

%description
IO::Pager can be used to locate an available pager and set the _PAGER_
environment variable (see NOTES). It is also a factory for creating I/O
objects such as IO::Pager::Buffered and IO::Pager::Unbuffered.

IO::Pager subclasses are designed to programmatically decide whether or not
to pipe a filehandle's output to a program specified in _PAGER_. Subclasses
may implement only the IO handle methods desired and inherit the remainder
of those outlined below from IO::Pager. For anything else, YMMV. See the
appropriate subclass for implementation specific details.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO

%changelog
* Sun Oct  8 2017 coolo@suse.com
- updated to 0.39
  see /usr/share/doc/packages/perl-IO-Pager/CHANGES
  0.39	Sat May 13 2017
  Rename t.pl to test.pl and alter behavior to address RT#120618
  i.e; MakeMaker's "helpfulness"; alternative is explicitly list
  all PM in module.
  More bloody RT#121450
  0.38	Tue May 11 2017
  0.37	Tue Apr 25 2017
  Fix tests for Perl 5.26 removal of . from @INC RT#121450
  (Patching for unreleased perl is a PITA)
  0.36	Mon Feb 29 2016
  Fix Use of uninitialized value at IO/Pager.pm line 98
  Remove dubgging statement.
  Add some additional reporting to interactive tests.
  Specify minimum Test::More version.
  0.35    Fri Jan 01 2016
  Update test 11 for Windows; okay in CMD, PowerShell and MSYS
  but tcsh and win-bash both fail.
  Add .travis.yml
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-IO-Pager/CHANGES
  0.34	Wed Feb 25 2015
  Fix version error in Makefile.
  Fix a bug in 3-arg open introduced by fix for 1-arg in 0.33.
  0.33	Wed Feb 25 2005
  Fix "Warning: unable to close filehandle $real_fh properly."
  Fixed FILEHANDLE only open().
  0.32	Tue Feb 24 2005
  Add 3-arg open support.
  Add eof() mechanism for semi-elegant signal handling.
  Update documentation.
  Undef $ENV{LESS} in interactive tests in case -E is set.
  Robustify t/11 for Win32 (RT#79950).
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.31
    Add missing IO::Handle fallback for ::Unbuffered (RT#82351)
    Bogus fix for Windoze automatic line-ending failure of t/11 (RT#79950),
    improvements welcomed.
    Implement feature request #78270 to include support say
    Preserve layers of passed hilehandle on instantiation.
    Fixed tests under Win32 & cygwin, bug #75181.
    Swap IO::Pager:new and ::open, alter subclass::open to
    remove unnecessary level of subroutine calls
    Return IO::Handle objects when not connected to a TTY for
    transparent use of IO::Pager when programming OO.
    NOTE: This is broken, see ::less in TODO
* Tue Mar  6 2012 coolo@suse.com
- updated to 0.24
  * Fixed bug #74691, tests fail if CPANTS folk don't have a perl in PATH!
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Aug 20 2007 mrueckert@suse.de
- initial package
